#!/bin/sh

echo "Hello $USER!"
echo ""

# Is this the trial version or not?
if [ -d "projects/Puzzle/trial_levels" ]; then
	APPNAME="Puzzle Moppet Demo"
else
	APPNAME="Puzzle Moppet"
fi

echo "Welcome to the $APPNAME installer!"

DESKTOPFILE=~/.local/share/applications/PuzzleMoppet.desktop
DESKTOPFILECONFIG=~/.local/share/applications/PuzzleMoppetConfig.desktop
DATAPATH=~/.Puzzle\ Moppet

echo ""
echo "This will install an icon to the Application menu."
echo "It will also copy the game data files to $DATAPATH"

echo ""
echo "Press ENTER to confirm."
read something

# Make the data directory
if [ ! -d "$DATAPATH" ]; then
	mkdir "$DATAPATH"
fi

# need to copy data from current dir
cp -R ./ "$DATAPATH"

echo "[Desktop Entry]" > $DESKTOPFILE
echo "Type=Application" >> $DESKTOPFILE
echo "Name=$APPNAME" >> $DESKTOPFILE
echo "Comment=3D block shifting puzzle game." >> $DESKTOPFILE
echo "Icon=$DATAPATH/icons/main.png" >> $DESKTOPFILE
echo "Exec=\"$DATAPATH/bin/PuzzleGame\"" >> $DESKTOPFILE
echo "Path=$DATAPATH/bin/" >> $DESKTOPFILE
echo "Terminal=false" >> $DESKTOPFILE
echo "Categories=Game;LogicGame;" >> $DESKTOPFILE

# Configuration utility
echo "[Desktop Entry]" > $DESKTOPFILECONFIG
echo "Type=Application" >> $DESKTOPFILECONFIG
echo "Name=Puzzle Moppet Settings" >> $DESKTOPFILECONFIG
echo "Comment=Configuration utility for Puzzle Moppet" >> $DESKTOPFILECONFIG
echo "Icon=$DATAPATH/icons/config.png" >> $DESKTOPFILECONFIG
echo "Exec=\"$DATAPATH/bin/config\"" >> $DESKTOPFILECONFIG
echo "Path=$DATAPATH/bin/" >> $DESKTOPFILECONFIG
echo "Terminal=false" >> $DESKTOPFILECONFIG
echo "Categories=Game;LogicGame;" >> $DESKTOPFILECONFIG

# Fin
echo "Finished!"
sleep 3


